/*
 *  Licensed to the Apache Software Foundation (ASF) under one
 *  or more contributor license agreements.  See the NOTICE file
 *  distributed with this work for additional information
 *  regarding copyright ownership.  The ASF licenses this file
 *  to you under the Apache License, Version 2.0 (the
 *  "License"); you may not use this file except in compliance
 *  with the License.  You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 */
package org.apache.isis.viewer.xhtml.viewer.html;

public final class HtmlClass {

    public static final String SECTION = "isis-section";

    public static final String FACETS = "isis-facets";
    public static final String FACET = "isis-facet";
    public static final String FACET_ELEMENTS = "isis-facet-elements";
    public static final String FACET_ELEMENT = "isis-facet-element";

    public static final String SPECIFICATIONS = "isis-specifications";
    public static final String SPECIFICATION = "isis-specification";
    public static final String PROPERTIES = "isis-properties";
    public static final String PROPERTY = "isis-property";
    public static final String COLLECTIONS = "isis-collections";
    public static final String COLLECTION = "isis-collection";
    public static final String ACTIONS = "isis-actions";
    public static final String ACTION = "isis-action";
    public static final String SERVICES = "isis-services";
    public static final String SERVICE = "isis-service";
    public static final String RESOURCES = "isis-resources";
    public static final String RESOURCE = "isis-resource";

    public static final String SESSION = "isis-session";
    public static final String USER = "isis-user";
    public static final String ROLES = "isis-roles";
    public static final String ROLE = "isis-role";

    public static final String TITLE = "isis-title";
    public static final String OBJECT = "isis-object";
    public static final String OID = "isis-oid";
    public static final String ACTION_RESULT = "isis-action-result";

    public static final String VISIBLE = "isis-visible";
    public static final String USABLE = "isis-usable";
    public static final String VALID = "isis-valid";

    public static final String OBJECT_SPECS = "isis-object-specs";

    private HtmlClass() {
    }

}
